## GnomeCanvasWidget

GnomeCanvasWidget

## Properties

GtkAnchorType | anchor | Read / Write
gdouble | height | Read / Write
gboolean | size-pixels | Read / Write
GtkWidget * | widget | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

struct | GnomeCanvasWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GnomeCanvasItem
                    ╰── GnomeCanvasWidget

## Includes

    #include <libgnomecanvas/libgnomecanvas.h>

## Description

## Functions

## Types and Values

### struct GnomeCanvasWidget

    struct GnomeCanvasWidget;

## Property Details

### The `“anchor”` property

      “anchor”                   GtkAnchorType

Flags: Read / Write

Default value: GTK_ANCHOR_NORTH_WEST

### The `“height”` property

      “height”                   gdouble

Flags: Read / Write

Default value: 0

### The `“size-pixels”` property

      “size-pixels”              gboolean

Flags: Read / Write

Default value: FALSE

### The `“widget”` property

      “widget”                   GtkWidget *

Flags: Read / Write

### The `“width”` property

      “width”                    gdouble

Flags: Read / Write

Default value: 0

### The `“x”` property

      “x”                        gdouble

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

Flags: Read / Write

Default value: 0